#ifndef __screen_move_overcurrent
#define __screen_move_overcurrent

#include "include/screenids.h"
#include "../screen.h"
#include "../Control.h"


/*
 * Move overcurrent screen
 *   Displays a warning that the motor driver has reached the set maximum current.
 */
class MoveOvercurrentScreen : public BaseScreen
{
  public:
    MoveOvercurrentScreen(ScreenManager* screenManager, Adafruit_GFX* display) : BaseScreen(screenManager, display) { }

    void onShow();
    void onButton(Button button);
    void onTick();

    ScreenId screenId() { return ScreenId::MoveOvercurrent; };

  private:
};

#endif
